Partially update pricing intent

View as MarkdownOpen in Claude
Use this method to partially update a pricing intent. Structure your request to follow the [RFC 6902](https://datatracker.ietf.org/doc/html/rfc6902) standard. If you update a pricing intent, it won't affect merchants you've previously onboarded. To update a pricing intent, you need its pricingIntentId. Our gateway returned the pricingIntentId in the response of the [Create Pricing Intent](https://docs.payroc.com/api/schema/boarding/pricing-intents/create) method. **Note:** If you don't have the pricingIntentId, use our [List Pricing Intents](https://docs.payroc.com/api/schema/boarding/pricing-intents/list) method to search for the pricing intent. You can update the following details about a pricing intent: - Fees, including the base fees, processor fees, and gateway fees. - Custom name for the pricing intent. - Additional services that merchants can sign up for.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

pricingIntentIdstringRequired

Headers

Idempotency-KeystringRequiredformat: "uuid"
Unique identifier that you generate for each request. You must use the [UUID v4 format](https://www.rfc-editor.org/rfc/rfc4122) for the identifier. For more information about the idempotency key, go to [Idempotency](https://docs.payroc.com/api/idempotency).

Request

This endpoint expects a list of objects.
addobjectRequired
A Patch Add Operation.
OR
removeobjectRequired
A Patch Remove Operation.
OR
replaceobjectRequired
A Patch Replace Operation.
OR
moveobjectRequired
A Patch Move Operation.
OR
copyobjectRequired
A Patch Copy Operation.
OR
testobjectRequired
A Patch Test Operation.

Response

Successful request. We updated the pricing intent.
pricing intent version 5.2object

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
409
Conflict Error
500
Internal Server Error